--天墉城
--传送

--脚本号
x101008_g_scriptId=101008

--事件交互入口
function x101008_OnDefaultEvent( scene,selfId ,targetId)
	-- body
	BeginEvent(scene)
	AddText(scene,"你好。")

	AddNumText(scene,x101008_g_scriptId,"傳送到天墉城",-2,0)
	AddNumText(scene,x101008_g_scriptId,"傳送到最新天墉城",-2,1)
	AddNumText(scene,x101008_g_scriptId,"傳送到楚皇都",-2,2)	
	AddNumText(scene,x101008_g_scriptId,"傳送到君臨宴",-2,3)
	AddNumText(scene,x101008_g_scriptId,"傳送到妖山城",-2,4)
	AddNumText(scene,x101008_g_scriptId,"傳送到新天墉城",-2,5)
	AddNumText(scene,x101008_g_scriptId,"傳送到天夢林",-2,6)	
	AddNumText(scene,x101008_g_scriptId,"傳送到望州城",-2,7)		
	AddNumText(scene,x101008_g_scriptId,"傳送到黑暗森林",-2,8)		
	EndEvent(scene)
	DispatchEventList(scene,selfId,targetId,true)
end




--事件列表选中一项

function x101008_OnEventRequest( scene,selfId,targetId,eventId ,index)
	-- body
	if index==0 then
		ChangeScene(scene,selfId,3,45,206)
	elseif index==1 then
		ChangeScene(scene,selfId,30,45,206)
	elseif index == 2 then
		ChangeScene(scene,selfId,4,104,471)
	elseif index == 3 then
		ChangeScene(scene,selfId,6,364,200)
	elseif index == 4 then
		ChangeScene(scene,selfId,7,194,227)
	elseif index == 5 then
		ChangeScene(scene,selfId,8,374,391)
	elseif index == 6 then
		ChangeScene(scene,selfId,9,85.4,32.3)
	elseif index == 7 then
		ChangeScene(scene,selfId,10,239,250)
	elseif index == 8 then
		ChangeScene(scene,selfId,11,115,9)
	end

end